Bug 970036 - (kde-plasma-nm) Review Request: kde-plasma-nm - Plasma applet written in QML for managing network connections
Review Request: kde-plasma-nm - Plasma applet written in QML for managing net...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On: libnm-qt
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-06-03 07:13 EDT by Jan Grulich
Modified: 2015-07-13 13:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ltinkl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-06-03 07:13:31 EDT
Spec URL: http://jgrulich.fedorapeople.org/kde-plasma-nm.spec
SRPM URL: http://jgrulich.fedorapeople.org/kde-plasma-nm-0.9.3.0-1.20130531gitb7e31af.fc18.src.rpm
Description: Plasma applet and editor for managing your network connections in KDE 4 using the default NetworkManager service.
Fedora Account System Username: jgrulich
Comment 3 Lukáš Tinkl 2013-06-04 09:15:21 EDT
Build fails with:

-- Found Gettext: built in libc
CMake Error at po/CMakeLists.txt:9 (MESSAGE):
  Please install msgmerge binary
-- Configuring incomplete, errors occurred!
Comment 4 Lukáš Tinkl 2013-06-04 09:52:32 EDT
The package passes all MUST items:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- update-desktop-database is invoked when required
  Note: desktop file(s) in kde-plasma-nm, kde-plasma-nm-openvpn, kde-plasma-
  nm-vpnc
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL", "GPL (v2 or later)", "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in /home/ltinkl/tmp
     /plasma-nm/review-kde-plasma-nm/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-plasma-nm-0.9.3.0-1.20130531gitb7e31af.fc18.x86_64.rpm
          kde-plasma-nm-openvpn-0.9.3.0-1.20130531gitb7e31af.fc18.x86_64.rpm
          kde-plasma-nm-vpnc-0.9.3.0-1.20130531gitb7e31af.fc18.x86_64.rpm
kde-plasma-nm.x86_64: W: invalid-license LGPLv2+, GPLv2+
kde-plasma-nm.x86_64: E: invalid-soname /usr/lib64/libplasmanm-internal.so libplasmanm-internal.so
kde-plasma-nm.x86_64: E: invalid-soname /usr/lib64/libplasmanm-editor.so libplasmanm-editor.so
kde-plasma-nm.x86_64: W: no-documentation
kde-plasma-nm.x86_64: W: no-manual-page-for-binary kde-nm-connection-editor
kde-plasma-nm-openvpn.x86_64: W: invalid-license LGPLv2+, GPLv2+
kde-plasma-nm-openvpn.x86_64: W: no-documentation
kde-plasma-nm-vpnc.x86_64: W: invalid-license LGPLv2+, GPLv2+
kde-plasma-nm-vpnc.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kde-plasma-nm-vpnc kde-plasma-nm kde-plasma-nm-openvpn
kde-plasma-nm-vpnc.x86_64: W: invalid-license LGPLv2+, GPLv2+
kde-plasma-nm-vpnc.x86_64: W: no-documentation
kde-plasma-nm.x86_64: W: invalid-license LGPLv2+, GPLv2+
kde-plasma-nm.x86_64: E: invalid-soname /usr/lib64/libplasmanm-internal.so libplasmanm-internal.so
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-internal.so /lib64/libQtDBus.so.4
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-internal.so /lib64/libpthread.so.0
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-internal.so /lib64/libQtSvg.so.4
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-internal.so /lib64/libm.so.6
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-internal.so /lib64/libgcc_s.so.1
kde-plasma-nm.x86_64: E: invalid-soname /usr/lib64/libplasmanm-editor.so libplasmanm-editor.so
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-editor.so /lib64/libQtXml.so.4
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-editor.so /lib64/libModemManagerQt.so.0
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-editor.so /lib64/libQtSvg.so.4
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-editor.so /lib64/libpthread.so.0
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-editor.so /lib64/libm.so.6
kde-plasma-nm.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libplasmanm-editor.so /lib64/libgcc_s.so.1
kde-plasma-nm.x86_64: W: no-documentation
kde-plasma-nm.x86_64: W: no-manual-page-for-binary kde-nm-connection-editor
kde-plasma-nm-openvpn.x86_64: W: invalid-license LGPLv2+, GPLv2+
kde-plasma-nm-openvpn.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 18 warnings.
# echo 'rpmlint-done:'



Requires
--------
kde-plasma-nm-vpnc (rpmlib, GLIBC filtered):
    NetworkManager-vpnc
    kde-plasma-nm(x86-64)
    libNetworkManagerQt.so.0()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libplasmanm-internal.so()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kde-plasma-nm (rpmlib, GLIBC filtered):
    /usr/bin/env
    ModemManager
    NetworkManager
    libModemManagerQt.so.0()(64bit)
    libNetworkManagerQt.so.0()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtDeclarative.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libknotifyconfig.so.4()(64bit)
    libm.so.6()(64bit)
    libplasma.so.3()(64bit)
    libplasmanm-editor.so()(64bit)
    libplasmanm-internal.so()(64bit)
    libpthread.so.0()(64bit)
    libsolid.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    mobile-broadband-provider-info
    plasma4(scriptengine-declarativeappletscript)
    rtld(GNU_HASH)

kde-plasma-nm-openvpn (rpmlib, GLIBC filtered):
    NetworkManager-openvpn
    kde-plasma-nm(x86-64)
    libNetworkManagerQt.so.0()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libplasmanm-internal.so()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
kde-plasma-nm-vpnc:
    kde-plasma-nm-vpnc
    kde-plasma-nm-vpnc(x86-64)
    plasmanm_vpncui.so()(64bit)

kde-plasma-nm:
    kde-plasma-nm
    kde-plasma-nm(x86-64)
    kded_plasmanm.so()(64bit)
    libplasmanm-editor.so()(64bit)
    libplasmanm-internal.so()(64bit)
    libplasmanmplugins.so()(64bit)
    plasma4(applet-org.kde.plasma-nm)
    plasma4(popupapplet-org.kde.plasma-nm)
    plasma_nm_notifications.so()(64bit)
    plasmanmwidgets.so()(64bit)

kde-plasma-nm-openvpn:
    kde-plasma-nm-openvpn
    kde-plasma-nm-openvpn(x86-64)
    plasmanm_openvpnui.so()(64bit)



Unversioned so-files
--------------------
kde-plasma-nm: /usr/lib64/kde4/imports/org/kde/plasmanm/libplasmanmplugins.so
kde-plasma-nm: /usr/lib64/kde4/kded_plasmanm.so
kde-plasma-nm: /usr/lib64/kde4/plasma_nm_notifications.so
kde-plasma-nm: /usr/lib64/kde4/plugins/designer/plasmanmwidgets.so
kde-plasma-nm: /usr/lib64/libplasmanm-editor.so
kde-plasma-nm: /usr/lib64/libplasmanm-internal.so
kde-plasma-nm-openvpn: /usr/lib64/kde4/plasmanm_openvpnui.so
kde-plasma-nm-vpnc: /usr/lib64/kde4/plasmanm_vpncui.so

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n kde-plasma-nm
Comment 5 Jan Grulich 2013-06-04 10:00:14 EDT
New Package SCM Request
=======================
Package Name: kde-plasma-nm
Short Description: Plasma applet written in QML for managing network connections
Owners: jgrulich
Branches: f17 f18 f19
InitialCC: ltinkl
Comment 6 Gwyn Ciesla 2013-06-04 15:36:25 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-04 17:37:57 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18,libnm-qt-0.9.8-1.20130527git0dd3793.fc18,libmm-qt-0.6.0-1.20130422git657646b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18,libnm-qt-0.9.8-1.20130527git0dd3793.fc18,libmm-qt-0.6.0-1.20130422git657646b.fc18
Comment 8 Fedora Update System 2013-06-04 17:39:20 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19,libnm-qt-0.9.8-1.20130527git0dd3793.fc19,libmm-qt-0.6.0-1.20130422git657646b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19,libnm-qt-0.9.8-1.20130527git0dd3793.fc19,libmm-qt-0.6.0-1.20130422git657646b.fc19
Comment 9 Fedora Update System 2013-06-04 22:29:14 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19, libnm-qt-0.9.8-1.20130527git0dd3793.fc19, libmm-qt-0.6.0-1.20130422git657646b.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-13 02:35:34 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19, libnm-qt-0.9.8-1.20130527git0dd3793.fc19, libmm-qt-0.6.0-1.20130422git657646b.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-13 22:24:51 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18, libnm-qt-0.9.8-1.20130527git0dd3793.fc18, libmm-qt-0.6.0-1.20130422git657646b.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.